System Requirements

Browser

We made a decision to only support the most recent major web browsers in order to provide you a better application that makes the most of rapidly developing browser technologies. We are currently supporting recent versions of Chrome, Firefox, and Microsoft Edge, as well as Safari 10 and higher.

If you are using an older browser, you will almost certainly have a degraded experience on EZCutlist as certain features just won't work. Please consider upgrading to a more modern browser. We recommend Google Chrome or Firefox.

JavaScript

All of the browsers mentioned above come with JavaScript present and enabled by default. JavaScript is the language EZCutlist is written in. It needs to be enabled for the application to run. If you or your system administrator have disabled JavaScript, please be advised that you won't be able to run EZCutlist unless you enable it. Here are instructions for how.

Device

EZCutlist is currently designed for use with the kind of screen sizes available to desktop and laptop computers. We intend to develop a tablet version eventually, but don't have a timeline for that yet. Stay tuned!

Operating System

Good news here! While we don't activately test our web application on every operating system, we expect it to work on just about any operating system on which our supported browsers can be installed, whether it's Windows, Mac, or Linux.

Need Help?

Do you need help with any of the requirements listed above or with an unforeseen technical problem? Our support team can help.